{% extends 'site_base.html' %}
{% load static %}
{% load crispy_forms_tags %}
{% load humanize %}

{% block extra_style_block %}
    {{block.super}}
    <style>
            .btn-payment {
                float: right;
                color: #fff;
            }
            .txt-search {
                width: auto;
                display: initial !important;
            }
            .btn-search {
                display: initial !important;
                padding: 6.2px 12px;
                margin: 0 2px 0 -4px;
                background: #3d8dbc;
                border: 1px solid #09649a;
            }
            .fa-search {
                color: #fff;
            }
            .bgc {
                background: rgba(0,0,0,.075);
            }
            .sku {
                cursor: pointer;
            }
            <!--.even {background: rgba(0,0,0,.075);}-->
            <!--.odd {background: rgba(0,0,0,.075);}-->
        </style>
    <style>
        .txt-search {
            width: auto;
            display: initial !important;
        }
        .btn-search {
            display: initial !important;
            padding: 6.2px 12px;
            margin: 0 2px 0 -4px;
            background: #3d8dbc;
            border: 1px solid #09649a;
        }
        .fa-search {
            color: #fff;
        }

        .col-cust-add{
          float: left;
          padding-left: 15px;
          float: left;
          padding-left: 15px;
          font-size: 16px;
          font-weight: 600;
          color: #333;
          line-height: 1.45;
        }
        .col-cust-add h2{
          text-transform: capitalize;
          font-size: 24px;
          margin: 0 0 0px 0;
          font-weight: 600;
          line-height: 1.2;
        }
        .col-cust-add.col-business-add{
          padding: 3px 6px;
          word-spacing: 0px;
          background: #dddddd82;
          box-shadow: 0px 0px 5px #f5e1e1;
          float: right;
          border-radius: 4px;
          margin: 10px 9px 0px;
        }
        .col-cust-add.col-business-add span{
          padding: 5px 8px;
          display: inline-block;
          background-color: #f39c12;
          border-color: #e08e0b;
          border-radius: 4px;
          margin-bottom: 5px;
          color:#fff;
        }
    </style>
    <style>
        .txt-search {
            width: auto;
            display: initial !important;
        }
        .btn-search {
            display: initial !important;
            padding: 6.2px 12px;
            margin: 0 2px 0 -4px;
            background: #3d8dbc;
            border: 1px solid #09649a;
        }
        .fa-search {
            color: #fff;
        }
        .btn-export {
            float: right;
            background-color: black;
            margin-top: 10px;
            border: 0;
            border-radius: 4px;
        }
    </style>
{% endblock %}


{% block content %}
    <head>
        <link rel="stylesheet" type="text/css" href="{% static 'css/grid-style.css' %}">
        <title>{% block title %} Orders List {% endblock %}</title>
    </head>
    <span id="btn-back" class="glyphicon glyphicon-circle-arrow-left"></span>
    <h1 style="margin-top: 0" class="back-list">Orders List</h1>
    <form method="POST">{% csrf_token %}
        <section class="content-header col-content">
            <div class="row">
                <div class="col-xs-6 col-sm-6 col-md-6 col-customer">
                    <div class="row">
                        <address class="col-cust-add col-business-add" style="float: left;margin-top: 0px;">
                            <span style="background-color: #00c0ef;border-color: #00acd6;">
                                Total No of Orders: {{orderlen|default:"0"}}
                            </span>
                            <span style="background-color: #00a65a;border-color: #008d4c;">
                                Total order Values: ₹ {{orderheadsum|floatformat:2|intcomma|default:"0"}}
                            </span>
                        </address>
                    </div>
                </div>
                <div class="col-xs-6 col-sm-6 col-md-6 col-customer">
                    <button type="submit" name="export" class="export btn-export">Export</button>
                </div>
            </div>
        </section>
    </form>

    <section>
        <table class="table table table-bordered">
            <thead>
                <tr>
                    <th>Order No</th>
                    <th>DMS No</th>
                    <th>Order Date</th>
                    <th>Dispatch Date</th>
                    <th>Invoice Value</th>
                    <th>Discount </th>
                    <th>Status</th>
                    <th>Payment due </th>
                    <th>Credit days left</th>
                    <th>Dealer</th>
                </tr>
            </thead>
            <tbody>
                {% for obj in orderhead %}
                    <tr>
                        <td>
                            <a href="/user/order-detail/{{obj.order_number}}">
                                {{obj.order_number}}
                            </a>
                        </td>
                        <td>
                        {% if obj.DMS_order_number %}
                        <a href="{% url 'sr_order_detail' obj.order_number %}">{{obj.DMS_order_number}}</a>
                        {% else %}
                        <span>{{obj.DMS_order_number| default:"---"}}</span>
                        {% endif %}
                        </td>
                        <td>{{obj.order_date|date|default:'---'}}</td>
                        <td>{{obj.dispatched_date|date|default:'---'}}</td>
                        <td>₹ {{obj.total_amount|floatformat:2|intcomma}}</td>
                        <td>₹ {{obj.discount_amount|floatformat:2|intcomma}}</td>
                        <td>
                            <span class="label label-info {{obj.status}}">
                                {{obj.get_status_display}}
                            </span>
                        </td>
                        <td>₹ {{obj.payable_amount|floatformat:2|intcomma}}</td>
                        <td>
                            {% if obj.get_status_display == 'Dispatched' or obj.get_status_display == 'Delivered' %}
                            {{obj.credit_days|default:"---"}}
                            {% else %}
                            ---
                            {% endif %}
                        </td>
                        <td>
                            <a href="{% url 'dealer_profile' obj.dealer.pk %} ">
                                {{obj.dealer.user_code}}.{{obj.company}}
                            </a>
                        </td>
                    </tr>
                {% endfor %}
            </tbody>
        </table>
    </section>

{% endblock %}
